Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.map
Class MapFactory

    java.lang.Object
      com.gwtext.client.widgets.map.MapFactory

    public class MapFactory

extends java.lang.Object

Fcatory class for map instantiaion.

Constructor Summary
`MapFactory()`

Method Summary
`static MapPanel` | `getMap()` Returns an available map implementation by detecting the available map JS.
`static boolean` | `isFreeEarthAvailable()`
`static boolean` | `isGoogleAvailable()`
`static boolean` | `isMap24Available()`
`static boolean` | `isMapQuestAvailable()`
`static boolean` | `isMicrosoftAvailable()`
`static boolean` | `isMultiMapAvailable()`
`static boolean` | `isOpenLayersAvailable()`
`static boolean` | `isOpenStreetMapAvailable()`
`static boolean` | `isYahooAvailable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapFactory

    public MapFactory()

Method Detail

### getMap

    public static MapPanel getMap()

  Returns an available map implementation by detecting the available map JS.

  Returns:

### isGoogleAvailable

    public static boolean isGoogleAvailable()

### isYahooAvailable

    public static boolean isYahooAvailable()

### isMicrosoftAvailable

    public static boolean isMicrosoftAvailable()

### isOpenLayersAvailable

    public static boolean isOpenLayersAvailable()

### isOpenStreetMapAvailable

    public static boolean isOpenStreetMapAvailable()

### isMultiMapAvailable

    public static boolean isMultiMapAvailable()

### isMap24Available

    public static boolean isMap24Available()

### isMapQuestAvailable

    public static boolean isMapQuestAvailable()

### isFreeEarthAvailable

    public static boolean isFreeEarthAvailable()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD